LINUX.ORG.RU
решено ФорумGames

Quake 4 не запускается.

 , , ,


0

1

Я установил quake4-data.deb quake4-bin.deb (не помню как эти пакеты называются) сначала запустил из под графической программки quake4, не запустилось, решил посмотреть, что терминал скажет и вот:

------------ Initializing Decls -------------
Loading guides.... 64 loaded
230ms to load 1125k of material
58ms to load 43k of skin
125ms to load 723k of sound
2ms to load 1k of materialType
269ms to load 2889k of lipSync
42ms to load 105k of playback
604ms to load 1690k of effect
---------------------------------------------
-------- Initializing renderSystem ----------
using ARB renderSystem
renderSystem initialized.
---------------------------------------------
Found default language English with VO
.... found additional language 'french' without VO
.... found additional language 'italian' without VO
.... found additional language 'spanish' without VO
696 strings read from strings/english_code.lang
1794 strings read from strings/english_guis.lang
5756 strings read from strings/english_lips.lang
5759 strings read from strings/english_mappack.lang
6235 strings read from strings/english_maps.lang
3 strings read from strings/french_mappack.lang
3 strings read from strings/italian_mappack.lang
3 strings read from strings/spanish_mappack.lang
Couldn't open journal files
execing default.cfg
couldn't exec editor.cfg
couldn't exec Quake4Config.cfg
couldn't exec autoexec.cfg
-------- Initializing Sound System ----------
sound system initialized.
---------------------------------------------
--------------- R_InitOpenGL ----------------
Initializing SDL subsystem
Loading GL driver 'libGL.so.1' through SDL
Initializing SDL subsystem
Loading GL driver 'libGL.so.1' through SDL
Fatal Error: Unable to initialize OpenGL
--------------- BSE Shutdown ----------------
---------------------------------------------
idRenderSystem::Shutdown()
Sys_Error: Unable to initialize OpenGL

Поставь пакет, который содержит libGL.so.1. Я не могу тебе назвать, какой это конкретно пакет, потому что я не пользуюсь дебианом на протяжении трёх лет, так что поищи его сам в репозитории или гугле

puffy ★★
()
Последнее исправление: puffy (всего исправлений: 1)
Ответ на: комментарий от Winlows86

$file /path/to/binary
если покажет что шелл скрипт то в скрипте ищи какой он бинарник запускает и трави на него команду file
краткий гайд по дебиан мультарч тут https://wiki.debian.org/ru/Multiarch/HOWTO

etwrq ★★★★★
()
Последнее исправление: etwrq (всего исправлений: 1)
14 октября 2022 г.

лол с традицонно дебильных советов

совет один - научись пользоваться линуксами. или не мучай опу. всё нормально этот Ку4 запускается - надо лишь дать ему что требуется.

но нахрена в это говно играть ума не приложу.

mrjaggers
()
Ответ на: комментарий от mrjaggers

Рациональность. Я запустил у себя нативную версию, только ради интереса, поскольку нативная версия просто устанавливается и работает без лишней траты времени, а работает абсолютно так же.

unixnik ★★★★★
()
Последнее исправление: unixnik (всего исправлений: 1)
Ответ на: комментарий от unixnik

ты даже одно предложение некриво нопейсать так и не асилил, рациОнал.

всё там элементарно ставится. Даже с SDL2 подружабельно, если руки хоть немного есть, лол.

Запустил и вспомнил какая же унылая «игра». Raven конечно скатились знатно по сравнению с Hexen (или хотя бы SoF)

mrjaggers
()